Name:           qgit
Version:        2.9
Release:        %mkrel 1
Summary:        GUI browser for git repositories

Group:          Development/Tools
License:        GPLv2
URL:            http://libre.tibirna.org/projects/qgit
Source0:        http://libre.tibirna.org/attachments/download/9/%{name}-%{version}.tar.xz
Source1:        %{name}.desktop
Source2:        %{name}48d.png
BuildRequires: 	qt5core-devel
BuildRequires: 	qt5gui-devel
BuildRequires:	qt5widgets-devel
BuildRequires: 	cmake
Requires:       git

%description
With qgit you are able to browse revisions history, view patch content
and changed files, graphically following different development branches.

%prep
%setup -q -n %{name}-%{name}-%{version}

%apply_patches


%build
%{cmake_qt5}
%make


%install
rm -rf %buildroot
pushd build
%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT
popd

desktop-file-install \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{SOURCE1}

install -m 0644 -p -D %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/qgit.png
%{_datadir}/metainfo/qgit.appdata.xml

%changelog
* Fri Aug 30 2019 tex - 2.9-1pclos2019
- new version

* Wed Jun 28 2017 bb2 <bb2> - 2.7-1pclos2017
- new version

* Sat Oct 29 2016 ghostbunny <ghostbunny at gmx dot de> 2.6-1pclos2016
- 2.6
- switch to qt5

* Sat Dec 20 2014 gseaman <galen.seaman at comcast.net> 2.5-1gseaman2014
- build for PCLinuxOS from Fedora
